%define pre 0
Summary: Firefox extension that protects against XSS and Clickjacking attacks
Name: firefox-ext-noscript
Version: 2.1.0.3
%if %pre
Release: %mkrel 0.1%pre
%else
Release: %mkrel 1
%endif
License: MPL
Group:	Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/722/
%if %pre
Source: http://releases.mozilla.org/pub/mozilla.org/addons/722/noscript-%{version}%{pre}-sm+fn+fx.xpi
%else
Source: https://secure.informaction.com/download/releases/noscript-%{version}.xpi
#Source: http://releases.mozilla.org/pub/mozilla.org/addons/722/noscript-%{version}-sm+fn+fx.xpi
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: firefox >= %{firefox_epoch}:%{firefox_version}
BuildRequires: firefox-devel
Buildarch: noarch

%description
The best security you can get in a web browser!
Allow active content to run only from sites you trust, and protect yourself
against XSS and Clickjacking attacks.

This tool provides extra protection to your Firefox. 
It allows JavaScript, Java and other executable content to run only from
trusted domains of your choice, e.g. your home-banking web site, guarding your
"trust boundaries" against cross-site scripting attacks (XSS), cross-zone DNS
rebinding / CSRF attacks (router hacking), and Clickjacking attempts, thanks to
its unique ClearClick technology.

Such a preemptive approach prevents exploitation of security vulnerabilities
(known and even unknown!) with no loss of functionality... 
Experts do agree: Firefox is really safer with NoScript ;-)

%prep
%setup -q -c -n %{name}-%{version}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/"
mkdir -p "%{buildroot}$extdir"
cp -af %SOURCE0 "%{buildroot}$extdir/$hash.xpi"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{firefox_extdir}






%changelog
* Sat Apr 30 2011 tv <tv> 2.1.0.3-1.mga1
+ Revision: 93723
- new release

* Wed Apr 13 2011 tv <tv> 2.1.0.2-1.mga1
+ Revision: 84082
- use alternate URL
- new release

* Thu Mar 10 2011 tv <tv> 2.0.9.9-1.mga1
+ Revision: 67783
- fix tarball name
- new release

* Tue Mar 01 2011 tv <tv> 2.0.9.8-1.mga1
+ Revision: 62102
- fix releasing stable versions
- new release

* Fri Feb 18 2011 tv <tv> 2.0.9.8-0.1rc3.mga1
+ Revision: 53866
- new prerelease

* Tue Feb 01 2011 tv <tv> 2.0.9.6-2.mga1
+ Revision: 45603
- imported package firefox-ext-noscript


* Fri Jan 28 2011 Funda Wang <fwang@mandriva.org> 2.0.9.6-2mdv2011.0
+ Revision: 633596
- drop hard version req

* Wed Jan 26 2011 Thierry Vignaud <tv@mandriva.org> 2.0.9.6-1
+ Revision: 632898
- new release

* Wed Jan 19 2011 Thierry Vignaud <tv@mandriva.org> 2.0.9.3-2
+ Revision: 631669
- prevent need to rebuild for every new firefox
- only package .xpi

* Wed Jan 05 2011 Thierry Vignaud <tv@mandriva.org> 2.0.9.3-1mdv2011.0
+ Revision: 628866
- new release

* Mon Nov 29 2010 Thierry Vignaud <tv@mandriva.org> 2.0.7-1mdv2011.0
+ Revision: 603137
- new release

* Sun Nov 14 2010 Thierry Vignaud <tv@mandriva.org> 2.0.4-2mdv2011.0
+ Revision: 597378
- rebuild for new firefox

* Sun Nov 07 2010 Thierry Vignaud <tv@mandriva.org> 2.0.4-1mdv2011.0
+ Revision: 594630
- import firefox-ext-noscript

